<?php
/**
 * author-portfolio Theme Customizer
 *
 * @package Author Portfolio
 */
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function author_portfolio_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'author_portfolio_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'author_portfolio_customize_partial_blogdescription',
			)
		);
	}
	class Author_Portfolio_Info_Control extends WP_Customize_Control {
	    public $type = 'author_portfolio_info_control';
		public function render_content() {
	       ?>
	       <h2><?php esc_html_e( 'Author Portfolio Pro Demo', 'author-portfolio' );?></h2>
	       <p><?php esc_html_e( 'We have created five different home page designs for an author\'s website, with more to come. You can choose any of these designs for your website and replace the placeholder content with your own information.', 'author-portfolio' );?></p>
	       <a href="<?php echo esc_url('https://rswpthemes.com/demo-page/?demo=author-portfolio-demo-selector');?>" class="live-demo-btn"><?php esc_html_e( 'Live Demo', 'author-portfolio' );?></a>
	       <br>
	       <br>

      	<a href="<?php echo esc_url('https://rswpthemes.com/documentations/');?>" class="video-tutorial-btn"><?php esc_html_e( 'Video Tutorials', 'author-portfolio' );?></a>
	       <p><?php esc_html_e( 'We wanted to remind you that some of the features shown in our video instructions are only available in the pro version of the theme. If you\'re interested in accessing those additional features, you can upgrade to the pro version by clicking Upgrade To Pro Link. Thank you for your understanding, and please let us know if you have any questions or feedback.', 'author-portfolio' );?></p>
	       <?php
	    }
	}

		$wp_customize->add_section(
	        'author_portfolio_info_section',
	        array(
	            'title' => __( 'Demo & Documentation', 'author-portfolio' ),
	            'priority' => 5,
	        )
		 );
		$wp_customize->add_setting(
	        'author_portfolio_info_settings',
	        array(
	            'default' => '',
	            'transport' => 'refresh',
	            'sanitize_callback' => 'wp_kses_post'
	        )
	    );
	    $wp_customize->add_control(
	        new Author_Portfolio_Info_Control(
	            $wp_customize,
	            'author_portfolio_info_control',
	            array(
	                'label'      => __( 'Demo And Documentaiton Control', 'author-portfolio' ),
	                'section'    => 'author_portfolio_info_section',
	                'settings'   => 'author_portfolio_info_settings',
	            )
	        )
	    );
}
add_action( 'customize_register', 'author_portfolio_customize_register' );
/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function author_portfolio_customize_partial_blogname() {
	 bloginfo( 'name' );
}
/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function author_portfolio_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function author_portfolio_customize_preview_js() {
	wp_enqueue_script( 'author-portfolio-customizer', esc_url( get_template_directory_uri() ) . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}

add_action( 'customize_preview_init', 'author_portfolio_customize_preview_js' );


Kirki::add_config( 'author_portfolio_config', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

require get_theme_file_path('inc/customizer/themeoptions/global-options.php');